> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/file-manager/create-file/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Add file POST https://api.mailchimp.com/3.0/file-manager/files Content-Type: application/json Upload a new image or file to the File Manager. Reference: https://mailchimp.com/developer/marketing/api/file-manager/create-file ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Body (application/json) This endpoint expects an object. - `file_data` (string, required) — The base64-encoded contents of the file. - `name` (string, required) — The name of the file. - `folder_id` (integer, optional) — The id of the folder. ## Response ### 200 - `_links` (list of GalleryFileLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `created_at` (datetime, optional) — The date and time a file was added to the File Manager in ISO 8601 format. - `created_by` (string, optional) — The username of the profile that uploaded the file. - `folder_id` (integer, optional) — The id of the folder. - `full_size_url` (string, optional) — The url of the full-size file. - `height` (integer, optional) — The height of an image. - `id` (integer, optional) — The unique id of the file. - `name` (string, optional) — The name of the file. - `size` (integer, optional) — The size of the file in bytes. - `thumbnail_url` (string, optional) — The url of the thumbnail preview. - `type` (enum, optional) — The type of file in the File Manager. - Allowed values: `image`, `file` - `width` (integer, optional) — The width of the image. ## Types ### GalleryFileLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ## Examples **Request** ```json { "file_data": "string", "name": "string" } ``` **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "created_at": "2024-01-15T09:30:00Z", "created_by": "string", "folder_id": 1, "full_size_url": "string", "height": 1, "id": 1, "name": "string", "size": 1, "thumbnail_url": "string", "type": "image", "width": 1 } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/file-manager/files" payload = { "file_data": "string", "name": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/file-manager/files'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"file_data":"string","name":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/file-manager/files" payload := strings.NewReader("{\n \"file_data\": \"string\",\n \"name\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/file-manager/files") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"file_data\": \"string\",\n \"name\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mailchimp.com/3.0/file-manager/files") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"file_data\": \"string\",\n \"name\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.mailchimp.com/3.0/file-manager/files', [ 'body' => '{ "file_data": "string", "name": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/file-manager/files"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"file_data\": \"string\",\n \"name\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "file_data": "string", "name": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/file-manager/files")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.